# Intel® Enhanced Privacy ID SDK: epid/common/math/bignum.c File Reference

bignum.c File Reference

Big number implementation. More...

`#include "epid/common/math/bignum.h"`
`#include "epid/common/math/bignum-internal.h"`
`#include "epid/common/memory.h"`
`#include "ext/ipp/include/ippcp.h"`

## Functions

EpidStatus | NewBigNum (size_t data_size_bytes, BigNum **bignum)
| Constructs a new BigNum. More...
void | DeleteBigNum (BigNum **bignum)
| Deletes a previously allocated BigNum. More...
EpidStatus | ReadBigNum (void const *bn_str, size_t strlen, BigNum *bn)
| Deserializes a BigNum from a string. More...
EpidStatus | WriteBigNum (BigNum const *bn, size_t strlen, void const *bn_str)
| Serializes a BigNum to a string. More...
int | OctStr2Bnu (uint32_t *bnu_ptr, void const *octstr_ptr, int octstr_len)
| convert octet string into "big number unsigned" representation
EpidStatus | BigNumAdd (BigNum const *a, BigNum const *b, BigNum *r)
| Adds two BigNum values. More...
EpidStatus | BigNumSub (BigNum const *a, BigNum const *b, BigNum *r)
| Subtracts two BigNum values. More...
EpidStatus | BigNumMul (BigNum const *a, BigNum const *b, BigNum *r)
| Multiplies two BigNum values. More...
EpidStatus | BigNumMod (BigNum const *a, BigNum const *b, BigNum *r)
| Computes modular reduction for BigNum value by specified modulus. More...

## Detailed Description

Big number implementation.